class Event

# class Event | Introduced in DOM Level 2 More...
Full name | `DOM::Event`
Definition | `#include <dom2_events.h>`
Inherited by | MouseEvent, MutationEvent, TextEvent, UIEvent
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }

#### Public Methods

- Event ()
- Event (const Event &other)
- virtual ~Event ()
- Event & operator = (const Event &other)
- DOMString type () const
- Node target () const
- Node currentTarget () const
- unsigned short eventPhase () const
- bool bubbles () const
- bool cancelable () const
- DOMTimeStamp timeStamp () const
- void stopPropagation ()
- void preventDefault ()
- void initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
- EventImpl * handle () const
- bool isNull () const
- DOMString eventModuleName ()

#### Protected Methods

- Event (EventImpl *i)

#### Protected Members

- EventImpl *impl

## Detailed Description

Introduced in DOM Level 2

The Event interface is used to provide contextual information about an event to the handler processing the event. An object which implements the Event interface is generally passed as the first parameter to an event handler. More specific context information is passed to event handlers by deriving additional interfaces from Event which contain information directly relating to the type of event they accompany. These derived interfaces are also implemented by the object passed to the event listener.

Event () | ### Event

Event (const Event &other) | ### Event

~Event () | ### ~Event

[virtual]

Event & operator = (const Event &other) | ### operator =

enum PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 } | ### PhaseType

An integer indicating which phase of event flow is being processed.

AT_TARGET: The event is currently being evaluated at the target EventTarget.

BUBBLING_PHASE: The current event phase is the bubbling phase.

CAPTURING_PHASE: The current event phase is the capturing phase.

DOMString type () | ### type

[const]

The name of the event (case-insensitive). The name must be an XML name.

Node target () | ### target

[const]

Used to indicate the EventTarget to which the event was originally dispatched.

Node currentTarget () | ### currentTarget

[const]

Used to indicate the EventTarget whose EventListeners are currently being processed. This is particularly useful during capturing and bubbling.

unsigned short eventPhase () | ### eventPhase

[const]

Used to indicate which phase of event flow is currently being evaluated.

bool bubbles () | ### bubbles

[const]

Used to indicate whether or not an event is a bubbling event. If the event can bubble the value is true, else the value is false.

bool cancelable () | ### cancelable

[const]

Used to indicate whether or not an event can have its default action prevented. If the default action can be prevented the value is true, else the value is false.

DOMTimeStamp timeStamp () | ### timeStamp

[const]

Used to specify the time (in milliseconds relative to the epoch) at which the event was created. Due to the fact that some systems may not provide this information the value of timeStamp may be not available for all events. When not available, a value of 0 will be returned. Examples of epoch time are the time of the system start or 0:0:0 UTC 1st January 1970.

void stopPropagation () | ### stopPropagation

The stopPropagation method is used prevent further propagation of an event during event flow. If this method is called by any EventListener the event will cease propagating through the tree. The event will complete dispatch to all listeners on the current EventTarget before event flow stops. This method may be used during any stage of event flow.

void preventDefault () | ### preventDefault

If an event is cancelable, the preventDefault method is used to signify that the event is to be canceled, meaning any default action normally taken by the implementation as a result of the event will not occur. If, during any stage of event flow, the preventDefault method is called the event is canceled. Any default action associated with the event will not occur. Calling this method for a non-cancelable event has no effect. Once preventDefault has been called it will remain in effect throughout the remainder of the event's propagation. This method may be used during any stage of event flow.

void initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg) | ### initEvent

The initEvent method is used to initialize the value of an Event created through the DocumentEvent interface. This method may only be called before the Event has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times the final invocation takes precedence. If called from a subclass of Event interface only the values specified in the initEvent method are modified, all other attributes are left unchanged.

Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets. It is also strongly recommended that third parties adding their own events use their own prefix to avoid confusion and lessen the probability of conflicts with other new events.

Parameters:

eventTypeArg | Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name.
canBubbleArg | Specifies whether or not the event can bubble.
cancelableArg | Specifies whether or not the event's default action can be prevented.

EventImpl * handle () | ### handle

[const]

not part of the DOM

bool isNull () | ### isNull

[const]

DOMString eventModuleName () | ### eventModuleName

not part of the DOM

Returns the module name of the event - this is the same as passed to Document::createEvent() (e.g. UIEvents)

Event (EventImpl *i) | ### Event

[protected]

EventImpl * impl | ### impl

[protected]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:37:43 2003, using kdoc 2.0a54.